%define url_ver %(echo %{version} | cut -d. -f1,2)

%define major	0
%define api	3
%define gmajor	3.0
%define libname	%mklibname thunarx %{api} %{major}
%define girname %mklibname thunarx-gir %{gmajor}
%define devname	%mklibname thunarx -d

Summary:	New modern file manager for the Xfce Desktop Environment
Name:		thunar
Version:	4.19.2
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://thunar.xfce.org
Source0:	https://archive.xfce.org/src/xfce/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
# for %%autosetup -S git_am
BuildRequires:	git-core

BuildRequires:	intltool
BuildRequires:	desktop-file-utils
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(exo-2) >= 4.18.0
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libpcre2-8)
BuildRequires:	pkgconfig(libxfce4panel-2.0) >= 4.18.0
BuildRequires:	pkgconfig(libxfce4ui-2) >= 4.18.0
BuildRequires:	pkgconfig(libxfce4util-1.0) >= 4.18.0
BuildRequires:	pkgconfig(libxfconf-0) >= 4.18.0

Requires(post):	desktop-file-utils >= 0.10
Requires(postun): desktop-file-utils >= 0.10

Requires:	shared-mime-info >= 0.15
Requires:	exo
Requires:	thunar-volman
Recommends:	tumbler
Recommends:	gvfs-archive

%description
Thunar has been designed from the ground up to be fast and easy-to-use. Its
user interface is clean and intuitive, and does not include any confusing or
useless options. Thunar is fast and responsive with a good start up time and
directory load time. Thunar is accessible using Assistive Technologies and is
fully standards compliant.

Beside the basic file management features, Thunar includes additional features
that set it ahead of other file managers available for the Unix/Linux desktop
today. For example, Thunar includes a so called Bulk Renamer that allows users
to easily rename multiple files at once using criteria that can be specified
using the available renamer plugins. Probably the most interesting renamer here
is the Audio Tags renamer, which generates new file names based on the tags
present in audio files.

%package -n %{libname}
Summary:	Libraries for the thunar filemanager
Group:		Graphical desktop/Xfce

%description -n %{libname}
Libraries for the thunar filemanager.

%package -n %{girname}
Summary:	GObject Introspection interface library for Thunarx
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface library for Thunarx.

%package -n %{devname}
Summary:	Development files for the thunar filemanager
Group:		Development/Other
Provides:	%{name}-devel = %{version}-%{release}
Provides:	thunarx-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	libthunarx-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}

%description -n %{devname}
Development files for the thunar filemanager.

%prep
%autosetup -n %{name}-%{version} -p1 -Sgit_am

%build
# to fix RPATH
%xdt_autogen
%configure \
	--disable-static \
	--enable-notifications \
	--enable-exif \
	--enable-apr-plugin \
	--enable-tpa-plugin \
	--enable-uca-plugin \
	--enable-wallpaper-plugin \
	--enable-gio-unix \
	--enable-gudev

%make_build

%install
%make_install

#handle docs in files section
rm -rf %{buildroot}%{_docdir}/Thunar

# Remove unneeded files
%{?!__brp_remove_la_files:find %{buildroot} -name "*.la" -delete}

# (tpg) this file is in %{_real_vendor}-xfce-config package
rm -rf %{buildroot}%{_sysconfdir}/xdg/Thunar/uca.xml

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS FAQ HACKING README* THANKS
%doc docs/README.gtkrc docs/papers/HackingOnThunar.odt
%dir %{_sysconfdir}/xdg/Thunar
%{_bindir}/Thunar
%{_bindir}/%{name}*
%{_datadir}/applications/*.desktop
%{_datadir}/metainfo/org.xfce.thunar.appdata.xml
%{_iconsdir}/hicolor/*/apps/org.xfce.thunar.{png,svg}
%{_iconsdir}/hicolor/*/stock/navigation/stock_*
%{_datadir}/dbus-1/services/*
%{_datadir}/polkit-1/actions/org.xfce.thunar.policy
%{_datadir}/Thunar/
%{_libdir}/Thunar/
%{_libdir}/thunarx-%{api}/
%{_mandir}/man1/Thunar.*
%{_libdir}/xfce4/panel/plugins/lib%{name}-*.so
%{_datadir}/xfce4/panel/plugins/thunar-tpa.desktop
%{_userunitdir}/thunar.service

%files -n %{libname}
%{_libdir}/libthunarx-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Thunarx-%{gmajor}.typelib

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/thunar/
%doc %{_datadir}/gtk-doc/html/thunarx/
%{_includedir}/thunarx-%{api}/
%{_libdir}/libthunarx-%{api}.so
%{_libdir}/pkgconfig/thunarx-%{api}.pc
%{_datadir}/gir-1.0/Thunarx-%{gmajor}.gir
